package de.ugoe.cs.autoquest.plugin.usability2.rules.operator.visitors;

import java.util.List;
import java.util.Queue;

import de.ugoe.cs.autoquest.plugin.usability2.rules.operator.IFilter;
import de.ugoe.cs.autoquest.tasktrees.treeifc.ITask;

public class FindAtEnd extends AbstractBFSContinuableScanner {

    public FindAtEnd(IFilter marked) {
        super(marked);
    }
    
    @Override
    protected void visitSequence(List<? extends ITask> children, Queue<ITask> queue) {
        if(!children.isEmpty())
            queue.add(children.get(children.size()-1));
    }

}
